# Kiafumi Act 2022

**An act to permit the use of the Kiafumi Discord bot within official AP discord servers.**

For more information on Kiafumi visit [here](https://oko.moe/kiafumi.htm).

## Definitions

For the purpose of this document, the following words and phrases have been defined as such-

1. **AP** - Abbreviation for *the Arsenio Pact*
2. **Bot** - A user-made program utilizing Discord's account system to provide moderation and features to joined servers.
3. **Kiafumi** - A Discord bot made by user *oko*, site found [here](https://oko.moe).

## Motivation

The AP's discords would benefit from automated role assignment, archiving, and other automatic administrative duties.

Kiafumi is an actively maintained bot developed for use on *38.fail's* (1) hosted projects. It has already seen use on the *HC* (2) and *Fusee* (3) Discord servers.

## Implementation

All AP managed Discord servers must:

+ Add and properly configure Kiafumi.
  + This includes access to the required permissions the bot needs to function.
    + Specifically a permission level of **139855252544**, not **8**.
  + The creation of a role to be assigned upon joining the server.
    + This can then be set via the **/setting set joinRole *< RoleID >*** command.
  + The creation of a channel made to be used by the bot to post join & leave messages.  
    + This can then be set via the **/setting set welcomeChannel *< ChannelID >*** command.

---
**Endnotes:**

+ (1) refers to the community behind HC and by extension The Arsenio Pact.
+ (2) refers to the discord server from which most AP states originate.
+ (3) refers to the discord server used by the developers of *OpenNAW* and *MiniCitidel*, both projects under the stewardship of *38.fail*.
