# Headquarters Establishment Act 2022

**An act to enforce the creation of a location to serve as the head of the Arsenio Pact in-game.**

## 1. Short title

This Act can be cited as the *Headquarters Establishment Act 2022*

## 2. Purpose

The purpose of the AP headquarters is—

+ to act as a place for the Comedy Council to convene during meetings and times of crisis, when needed;
+ to serve as a symbol of unity between members of the Arsenio Pact;
+ to be a place for citizens of AP member states to petition their representatives;

## 3. Process

1. The process to select a location for the headquarters begins when either—

    + the Comedy Council votes to begin the process;
    + it has been 7 days since the current headquarters has been found to not match specifications, and no work to fix it has begun;

2. The Comedy Council gets 24 hours for each member to propose their desired location.
3. Each proposed location must then be audited to ensure it meets the required specifications.
4. The Comedy Council decides between the remaining choices via a ranked-choice vote.

## 4. Specifications

1. Any location suitable to serve as the headquarters must include the following—

    + a room or area capable of seating all members of the Comedy Council & their staff during meetings;
    + a room or area capable of seating all members of the Military Council & their staff during meetings;
    + a room or area used to ad dress the general public, fitted with seating and podiums;
    + ████████████████████████████████████████████████████████████████████████████████████████████;*
    + ███████████████████████████████████████████████████████████████████████████████;*

2. Any location suitable to serve as the headquarters must not be—

    + currently occupied by hostile forces;
    + █████████████████;*

## 5. Jurisdiction

The location for the headquarters selected in terms of this Act, and the land claimed therefor, is under the name and authority of the Arsenio Pact.

---
**Endnotes:**

+ Any line marked by an asterisk is to be redacted in any version of this document given to a member of the general public. If you *are* a member of the general public, and these lines are not redacted, please delete any version of the document you possess and present yourself to a member of the Comedy Council for an immediate reward.  
